export type LazyResult<T> = LazyEmpty | LazyMany<T> | LazyNext<T>;
type LazyEmpty = {
    done: boolean;
    hasNext: false;
    hasMany?: false | undefined;
    next?: undefined;
};
type LazyNext<T> = {
    done: boolean;
    hasNext: true;
    hasMany?: false | undefined;
    next: T;
};
type LazyMany<T> = {
    done: boolean;
    hasNext: true;
    hasMany: true;
    next: Array<T>;
};
export declare function _reduceLazy<T, K>(array: ReadonlyArray<T>, lazy: (item: T, index?: number, array?: ReadonlyArray<T>) => LazyResult<K>, indexed?: boolean): Array<K>;
export {};
//# sourceMappingURL=_reduceLazy.d.ts.map